<!DOCTYPE html>
<html>
    <head>
        <style>
            h1{
                color:blue;
                font-size: 90px;
                text-align: center;
            }

            section{
                display: grid;
                grid-template-columns: auto auto auto auto;
                font-size: 25px;
                width: 90%;
                margin: auto;
            }

            /* media query for small window */
            @media screen and (min-width:1px) and (max-width:600px){
                h1{
                    font-size:35px;
                }

                section{
                    grid-template-columns: auto;
                }
            }

              /* media query for medium window */

            @media screen and (min-width:601px) and (max-width:800px){
                h1{
                    font-size: 45px;
                }

                section{
                    grid-template-columns: auto auto;
                }

            }

            /* media query for large window */

            @media screen and (min-width:801px) and (max-width:1100px){
                h1{
                    font-size: 55px;
                }
                section{
                    grid-template-columns: auto auto auto;
                }

            }

        </style>
    </head>
    <body>
        <h1> Media Query Test Example </h1>
        <section>
            <p> Web site Design </p>
                <p> Digital Marketing</p>
                <p> Content Writing</p>
                <p> Employment</p>
                <p> Software Market</p>
                <p> Education </p>
                <p> Travels </p>
                <p> Business Solutions </p>
                <p> Hire & Deploy </p>
        </section>
    </body>
</html>